Subject: Re: git: cannot rename foo to Foo on a case-insensitive filesystem (e.g. on Windows)

From: Andreas Ericsson <[email-masked]>
Date: Wed, 29 Aug 2007 12:00:09 +0200

Wincent Colaiuta wrote:
> El 29/8/2007, a las 4:23, Johannes Schindelin escribió:
> 
>>
>> I acknowledged that.
>>
>> But it does not change the _meaning_ of Andreas' criticism.  They took a
>> perfectly sane system, and turned it into a mess.
> 
> I don't think it's productive to enter into arguments about whether a 
> particular operating system is a "monstrosity", "sane" or "a mess"; 
> that's why I limited my comment to a correction of a factual 
> misstatement by Andreas and left the opinion part unchallenged. We could 
> have avoided this thread if instead of "doesn't even have a case 
> sensitive filesystem", he'd started his flame with "defaults to a using 
> a case-insensitive filesystem".
> 
>> Yes, you _can_ change the setting.  No, most don't.  Yes, the effect 
>> is...
>> you guessed it: the same as if they did not allow case sensitivity at 
>> all.
> 
> While I agree that most just accept the default, your argument here and 
> in your previous email is spurious; it amounts to saying "A and B is 
> offered, but because A is the default it is the same as if B were not 
> supported at all", which isn't valid logic. If you limited your argument 
> to criticizing case-insensitive filesystems then I would have to agree 
> with you; I am not a fan of them. Likewise, if you said that the default 
> has undesirable consequences I would also concur. It's your attempt to 
> extend your claim to an argument for equivalence that I can't buy.
> 

My original comment was in error. I was unaware that Apple shipped
different filesystems and that there was actually a choice. Me having
sat by a friend who did his installation didn't realize I had the option
of using a case-sensitive filesystem, so I assumed it wasn't there, which
only goes to show that assumption indeed is the mother of all fuckups. Not
wanting a pointless discussion in which everyone agrees in spirit but
nitpicks about factual details, I didn't respond to any of the posts.

Since it seems we all agree that case-insensitive, case-reporting file-
systems are disgusting and it's now thoroughly proven that Apple does
indeed ship a proper filesystem with its OS X releases, can we please
drop this now and move on to trying to improve things? I'll take
universal silence on the subject as "good idea, let's do that"

> 
>> and we have to suffer.
> 
> but, don't you think you're exaggerating a bit here? How much 
> "suffering" has this really caused you?

Plenty enough, I should imagine. As David Kastrup mentioned, Dscho
does extensive work on MSYS/MingW while not using it himself.

Besides that, there are all these timeconsuming threads that some
ignorant dumbass (in this case me) turn into silly pie-fights with
some uninformed remark that is overly tainted by personal opinion.

My apologies. I shall do my research better in the future.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231